Bug 73905 - Does not work when installed with an umask of 077 and messes filesystem
Does not work when installed with an umask of 077 and messes filesystem
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: perl-BSD-Resource (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-13 09:44 EDT by Enrico Scholz
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version: 1.24-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-22 18:11:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2002-09-13 09:44:23 EDT
Description of Problem:

Because this package contains unowned directories, they will be created
with the current umask. When having restrictive administrator settings
(umask 077) ordinary user will not have access to them and can not use
them.

Another problem occurs when removing packages. Then orphaned directories
are remaining.

| $ rpm -qf /usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi/auto/BSD/Resource /usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi/auto/BSD/Resource/Resource.bs
| file /usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi/auto/BSD/Resource is not owned by any package
| perl-BSD-Resource-1.15-4


Version-Release number of selected component (if applicable):

perl-BSD-Resource-1.15-4


How Reproducible:

100%


Steps to Reproduce:
1. umask 077
2. make sure that perl-BSD-Resource is uninstalled completely
   (rm -rf /usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi/auto/BSD/Resource)
3. rpm -U perl-BSD-Resource-1.15-4.*
4. ls -l /usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi/auto/BSD/Resource
5. start perl script using this module
6. rpm -e perl-BSD-Resource-1.15-4

Actual Results:

| drwx------    2 root     root         4096 Sep 13 7:32 /usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi/auto/BSD/Resource

at 4; script can not find package at 5 and
/usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi/auto/BSD/Resource
still exists after 6.
Comment 1 Jose Pedro Oliveira 2005-05-22 18:05:12 EDT
Warren,

The FC4 specfile cleanup took care of this (Fedora Extras . 

The perl-BSD-Resource package now owns the its directories and 
the directories are created with permissions "rwxr-xr-x".


# rpm -q perl-BSD-Resource
perl-BSD-Resource-1.24-3

# rpm -qlv perl-BSD-Resource | grep ^d
drwxr-xr-x    2 root    root                0 Apr  3 00:37 \
/usr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-multi/BSD
drwxr-xr-x    2 root    root                0 Apr  3 00:37 \
/usr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-multi/auto/BSD
drwxr-xr-x    2 root    root                0 Apr  3 00:37 \
/usr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-multi/auto/BSD/Resource

# rpm -qf /usr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-multi/auto/BSD
perl-BSD-Resource-1.24-3
Comment 2 Warren Togami 2005-05-22 18:07:05 EDT
Great.  Does Bugzilla allow you to close this report?
Comment 3 Jose Pedro Oliveira 2005-05-22 18:11:45 EDT
Closing bug.

Corrected package in Rawhide. Schedule to FC4

Note You need to log in before you can comment on or make changes to this bug.